Bug 825595 - Firefox takes a long time to start without an Internet connection
Firefox takes a long time to start without an Internet connection
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-27 22:16 EDT by James
Modified: 2012-08-09 00:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-09 00:29:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James 2012-05-27 22:16:19 EDT
If I run firefox with an active Internet connection, it starts in about 1 second. If I run firefox without an Internet connection, but with an active network connection, it takes 33 seconds to start. The start page is blank and updates are disabled so I would expect no network activity at startup.

This also affects Thunderbird.

Version info:
Arch        : x86_64
Version     : 12.0
Release     : 1.fc16
Comment 1 Martin Stransky 2012-05-28 09:55:39 EDT
Yes, I have seen it too, it's not restricted to firefox only. I had the same problems with mc for instance.
Comment 2 Martin Stransky 2012-08-06 10:18:02 EDT
Hm, I'm unable to reproduce. Can you please attach output of "ifconfig" a "iwconfig" when firefox fails to start quickly? It looks like a special network state, maybe DNS failure or so.
Comment 3 James 2012-08-08 19:04:35 EDT
I can't reproduce this anymore so perhaps other updates have fixed it.
Comment 4 Martin Stransky 2012-08-09 00:29:11 EDT
Okay, thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.